Recommendation Jira
Recommendation CRUD apis for jira.
Create jira for recommendation
Account Identifier for the Entity.
Bad Request
This is Failure entity as defied in Harness
Internal server error
Returns a created CACMJiraDetails object with all the jira details
POST /gateway/ccm/api/recommendation/jira/create?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Content-Type: application/json
Accept: */*
Content-Length: 158
{
"recommendationId": "text",
"resourceType": "WORKLOAD",
"connectorRef": "text",
"projectKey": "text",
"issueType": "text",
"fields": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
}{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Get all Jira field mappings for account
Account Identifier for the Entity.
Bad Request
This is Failure entity as defied in Harness
Internal server error
Returns all field mappings
GET /gateway/ccm/api/recommendation/jira/field-mapping?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Replaces all Jira field mappings for the given fieldType (savings or variance) with the provided set
Account Identifier for the Entity.
Field type to set: 'savings' or 'variance'
Bad Request
This is Failure entity as defied in Harness
Internal server error
Returns updated field mappings
POST /gateway/ccm/api/recommendation/jira/field-mapping?accountIdentifier=text&fieldType=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Content-Type: application/json
Accept: */*
Content-Length: 67
[
{
"projectKeys": [
"text"
],
"issueTypes": [
"text"
],
"fieldName": "text"
}
]{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Delete Jira field mapping for a project, optionally for a specific issue type
Account Identifier for the Entity.
Bad Request
This is Failure entity as defied in Harness
Internal server error
Returns remaining field mappings
DELETE /gateway/ccm/api/recommendation/jira/field-mapping?accountIdentifier=text&projectKey=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Delete Jira details from recommendations
Account Identifier for the Entity.
List of recommendation ids to perform jira cleanup on.
Bad Request
This is Failure entity as defied in Harness
Internal server error
Deletes Jira details from recommendations
POST /gateway/ccm/api/recommendation/jira/delete?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Content-Type: application/json
Accept: */*
Content-Length: 8
[
"text"
]{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Get all jira statuses
Account Identifier for the Entity.
Bad Request
This is Failure entity as defied in Harness
Internal server error
Returns applied preferences
GET /gateway/ccm/api/recommendation/jira/statuses?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Get intersection of fields across multiple projects and issue types
Account Identifier for the Entity.
Bad Request
This is Failure entity as defied in Harness
Internal server error
Returns list of common fields across the specified projects and issue types
POST /gateway/ccm/api/recommendation/jira/common-fields?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Content-Type: application/json
Accept: */*
Content-Length: 87
{
"connectorRef": "text",
"projectKeys": [
"text"
],
"issueTypes": [
"text"
],
"fieldType": "text"
}{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Get intersection of issue types across multiple Jira projects
Account Identifier for the Entity.
Bad Request
This is Failure entity as defied in Harness
Internal server error
Returns list of common issue types across the specified projects
POST /gateway/ccm/api/recommendation/jira/common-issue-types?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Content-Type: application/json
Accept: */*
Content-Length: 46
{
"connectorRef": "text",
"projectKeys": [
"text"
]
}{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Get mapped jira projects for given recommendation
Account Identifier for the Entity.
Bad Request
This is Failure entity as defied in Harness
Internal server error
Returns jira project details
GET /gateway/ccm/api/recommendation/jira/mapped-projects?accountIdentifier=text&recommendationId=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Get all jira resolution codes
Account Identifier for the Entity.
Bad Request
This is Failure entity as defied in Harness
Internal server error
Returns jira resolution codes
GET /gateway/ccm/api/recommendation/jira/resolution-code?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Last updated
Was this helpful?